API
POST /api/admin/user/{user_id}/tier
Set User Tier
POST /api/admin/user/{user_id}/tier
Set User Tier
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
user_id | path | string (uuid) | Yes | - |
tier | query | string | null | No | Tier to set |
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is accepted.
| Field | Type | Required | Description |
|---|---|---|---|
tier | string | Yes | - |
Example request
curl -X POST https://api.cognitivx.io/api/admin/user/{user_id}/tier \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"tier": "string"
}'Example response
200 application/json
nullResponses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |